cancel
Showing results for 
Search instead for 
Did you mean: 

I have MAC OSX 10.7.5. Is there a way to get latest firefox update? It says it is not supported?

Highlighted
New User

I have MAC OSX 10.7.5. Is there a way to get latest firefox update? It says it is not supported?

I cant imagine that you don't have an update that works for my MAC. Please tell me how

1 REPLY
SUMO Contributor

Re: I have MAC OSX 10.7.5. Is there a way to get latest firefox update? It says it is not supported?

Hello ourhouse2u, the update is for 10.7.5 as you said OR as system details said 10.5 ?

For 10.5.8 intel mac, Firefox no longer works with Mac OS X 10.5

16.0.2 is the latest version(for 10.5.8),see in the above link Option 3: Continue to use Mac OS X 10.5 and Firefox 16


for 10.7.5 you can use the latest, BUT first fix your user agent because is corrupted by Fast Browser Search (FBSMTWB) and that identifies you as Firefox/3.5.2

see your user agent:

User Agent: Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.1.2) Gecko/20090729 Firefox/3.5.2 GTB5 FBSMTWB

you must reset user agent, see how to do that : Firefox is showing the wrong User Agent

see also : http://help.fastbrowsersearch.com/

for latest firefox version : Download Firefox in your language


thank you